headless lms

Redirect to an image attached to a chat message

GET /api/member/chats/{chatId}/messages/{messageId}/attachments/{assetId}. Redirect to an image attached to a chat message. Headless LMS Files API reference.

GET
/api/member/chats/{chatId}/messages/{messageId}/attachments/{assetId}

Served to the chat's participants while the message stands (staff also after it is deleted), and to moderators while the message is flagged.

Path Parameters

chatId*string
messageId*string
assetId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/member/chats/string/messages/string/attachments/string"
null
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}